Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class ModelInternalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.fujitsu.iflow.model.util.ModelException
                  com.fujitsu.iflow.model.util.ModelInternalException

All Implemented Interfaces:
  java.io.Serializable

public class ModelInternalException
extends ModelException

Catch only exceptions of the `ModelException` superclass for future compatibility. `ModelInternalException` indicates that an internal error within a model bean has occurred.

See Also:
  `DirException`, `DMSException`, `WFInternalException`, `WFServerException`, Serialized Form

Field Summary

Fields inherited from class com.fujitsu.iflow.model.util.ModelException
`params`

Constructor Summary
`ModelInternalException(int errorCode)` Initializes newly created `ModelInternalException` object with specified error code.
`ModelInternalException(int errorCode, java.lang.String errorMessage)` Initializes newly created `ModelInternalException` object with specified error code and message.
`ModelInternalException(int errorCode, java.lang.Throwable source)` Initializes newly created `ModelInternalException` object with specified source and error code.
`ModelInternalException(java.lang.Throwable source)` Constructs a ModelInternalException with error code 0 and previous exception.
`ModelInternalException(java.lang.Throwable source, int errorCode, java.lang.String errorMessage)` Initializes newly created `ModelInternalException` object with specified source, error code, and message.

Methods inherited from class com.fujitsu.iflow.model.util.ModelException
`getCause, getErrorCode, getExceptionType, getMessage, getParam, getParams, getSource, getTemplate, printException, printStackTrace, setExceptionType, setParam, setParam, setParam, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelInternalException

    public ModelInternalException(int errorCode)

  Initializes newly created `ModelInternalException` object with specified error code.

Parameters:
  `errorCode` - the code to be associated with this `ModelInternalException`.

### ModelInternalException

    public ModelInternalException(int errorCode,
                                  java.lang.String errorMessage)

  Initializes newly created `ModelInternalException` object with specified error code and message.

Parameters:
  `errorCode` - The code to be associated with this `ModelInternalException`.
  `errorMessage` - The message to be associated with this `ModelInternalException`.

### ModelInternalException

    public ModelInternalException(java.lang.Throwable source,
                                  int errorCode,
                                  java.lang.String errorMessage)

  Initializes newly created `ModelInternalException` object with specified source, error code, and message.

Parameters:
  `source` - The source exception to be associated with this `ModelInternalException`.
  `errorCode` - The code to be associated with this `ModelInternalException`.
  `errorMessage` - The message to be associated with this `ModelInternalException`.

### ModelInternalException

    public ModelInternalException(int errorCode,
                                  java.lang.Throwable source)

  Initializes newly created `ModelInternalException` object with specified source and error code.

Parameters:
  `source` - The source exception to be associated with this `ModelInternalException`.
  `errorCode` - The code to be associated with this `ModelInternalException`.

### ModelInternalException

    public ModelInternalException(java.lang.Throwable source)

  Constructs a ModelInternalException with error code 0 and previous exception. Works with special message <$e> to pass message unchanged to new exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD